# Module `lyaml`

## Functions

dump (documents[, opts]) | Dump a list of Lua tables to an equivalent YAML stream.
load (s[, opts]) | Load a YAML stream into a Lua table.

## Tables

dumper_opts | Dump options table.
loader_opts | Load options table.

## Functions

dump (documents[, opts])
  Dump a list of Lua tables to an equivalent YAML stream.

  ### Parameters:

  - documents table a sequence of Lua tables.
  - opts dumper_opts initialisation options (optional)

  ### Returns:

  string equivalest YAML stream
load (s[, opts])
  Load a YAML stream into a Lua table.

  ### Parameters:

  - s string YAML stream
  - opts loader_opts initialisation options (optional)

  ### Returns:

  table Lua table equivalent of stream s

## Tables

dumper_opts
  Dump options table.

  ### Fields:

  - anchors table map initial anchor names to values
  - implicit_scalar function parse implicit scalar values
loader_opts
  Load options table.

  ### Fields:

  - all boolean load all documents from the stream
  - explicit_scalar table map full tag-names to parser functions
  - implicit_scalar function parse implicit scalar values

generated by LDoc 1.4.6 Last updated 2022-10-22 17:12:03